'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Bleno = Bleno;

var _util = require('util');

var _util2 = _interopRequireDefault(_util);

var _bleno = require('bleno');

var _bleno2 = _interopRequireDefault(_bleno);

var _textEncoding = require('text-encoding');

var _textEncoding2 = _interopRequireDefault(_textEncoding);

var _config = require('../../common/config');

var _encoder = require('../../common/encoder');

var _encoder2 = _interopRequireDefault(_encoder);

var _service = require('./service');

var _service2 = _interopRequireDefault(_service);

var _characteristic = require('./characteristic');

var _characteristic2 = _interopRequireDefault(_characteristic);

var _descriptor = require('./descriptor');

var _descriptor2 = _interopRequireDefault(_descriptor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Bleno(bleno, encoder, _ref) {
  var SERVICE_UUID = _ref.SERVICE_UUID,
      CHARACTERISTIC_UUID = _ref.CHARACTERISTIC_UUID,
      DESCRIPTOR_UUID = _ref.DESCRIPTOR_UUID;

  var descriptor = (0, _descriptor2.default)(DESCRIPTOR_UUID, bleno.Descriptor);

  var characteristic = (0, _characteristic2.default)(CHARACTERISTIC_UUID, bleno.Characteristic, _util2.default, descriptor, encoder);

  var service = (0, _service2.default)(SERVICE_UUID, bleno.PrimaryService, _util2.default, characteristic);

  var start = function start(name, state) {
    bleno.on('stateChange', function (status) {
      if (status === 'poweredOn') {
        bleno.startAdvertising(name, [SERVICE_UUID], function (err) {
          if (!err) characteristic.updateState(state);
        });
      } else {
        bleno.stopAdvertising();
      }
    });

    bleno.on('advertisingStart', function (err) {
      if (!err) {
        bleno.setServices([service]);
      }
    });
  };

  var handler = function handler(callback) {
    characteristic.onAction = callback;
  };

  var notify = function notify(state) {
    characteristic.updateState(state);
  };

  return {
    start: start,
    handler: handler,
    notify: notify
  };
}

exports.default = new Bleno(_bleno2.default, (0, _encoder2.default)(_textEncoding2.default), _config.BLENO_CONFIG);