"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (bluetooth) {
  return function (name, store) {
    bluetooth.start(name, store.getState());

    var handleSubscribe = function handleSubscribe() {
      bluetooth.notify(store.getState());
    };

    var handleActions = function handleActions(action) {
      store.dispatch(action);
    };

    store.subscribe(handleSubscribe);
    bluetooth.handler(handleActions);

    return { handleSubscribe: handleSubscribe, handleActions: handleActions };
  };
};