"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Actions;
function Actions(central, TYPES) {
  var syncState = function syncState(state) {
    return {
      type: TYPES.BLUETOOTH_SYNC,
      payload: state
    };
  };

  var sendAction = function sendAction(action) {
    return {
      type: TYPES.BLUETOOTH_SEND_REQUEST,
      request: function request() {
        return central.write(action);
      }
    };
  };

  var connectStore = function connectStore(name) {
    return {
      type: TYPES.BLUETOOTH_CONNECT_REQUEST,
      request: function request(dispatch) {
        dispatch({ type: TYPES.BLUETOOTH_CONNECTING });
        return central.connect(name).then(function () {
          return central.handler(function (state) {
            return dispatch(syncState(state));
          });
        }).then(function () {
          return dispatch({ type: TYPES.BLUETOOTH_CONNECTED });
        }).then(function () {
          return dispatch(sendAction({
            type: TYPES.BLUETOOTH_SEND_REQUEST,
            request: function request() {
              return central.write({
                type: TYPES.BLUETOOTH_SYNC_REQUEST
              });
            }
          }));
        });
      }
    };
  };

  var disconnectStore = function disconnectStore() {
    return {
      type: TYPES.BLUETOOTH_DISCONNECT_REQUEST,
      request: function request(dispatch) {
        dispatch({ type: TYPES.BLUETOOTH_DISCONNECTING });
        central.disconnect();
        dispatch({ type: TYPES.BLUETOOTH_DISCONNECTED });
      }
    };
  };

  return {
    connectStore: connectStore,
    disconnectStore: disconnectStore,
    syncState: syncState,
    sendAction: sendAction
  };
}