'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _actions = require('../actions');

var _actions2 = _interopRequireDefault(_actions);

var _types = require('../actions/types');

var TYPES = _interopRequireWildcard(_types);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var sendAction = _actions2.default.sendAction;
var BLUETOOTH_CONNECT_REQUEST = TYPES.BLUETOOTH_CONNECT_REQUEST,
    BLUETOOTH_DISCONNECT_REQUEST = TYPES.BLUETOOTH_DISCONNECT_REQUEST,
    BLUETOOTH_SEND_REQUEST = TYPES.BLUETOOTH_SEND_REQUEST;


var REQUESTS = [BLUETOOTH_CONNECT_REQUEST, BLUETOOTH_DISCONNECT_REQUEST, BLUETOOTH_SEND_REQUEST];

exports.default = function () {
  var actions = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  return function (store) {
    return function (next) {
      return function (action) {
        if ((typeof action === 'undefined' ? 'undefined' : _typeof(action)) !== 'object') {
          return next(action);
        }
        var type = action.type;

        if (REQUESTS.includes(type)) action.request(store.dispatch);
        if (actions.includes(type)) store.dispatch(sendAction(action));
        return next(action);
      };
    };
  };
};