'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.status = status;
exports.remote = remote;

var _types = require('../actions/types');

var TYPES = _interopRequireWildcard(_types);

var _status = require('../central/status');

var STATUS = _interopRequireWildcard(_status);

var _initial = require('./initial');

var _initial2 = _interopRequireDefault(_initial);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function status() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _initial2.default.status;
  var _ref = arguments[1];
  var type = _ref.type;

  switch (type) {
    case TYPES.BLUETOOTH_CONNECTING:
      return STATUS.CONNECTING;
    case TYPES.BLUETOOTH_CONNECTED:
      return STATUS.CONNECTED;
    case TYPES.BLUETOOTH_DISCONNECTING:
      return STATUS.DISCONNECTING;
    case TYPES.BLUETOOTH_DISCONNECTED:
      return STATUS.DISCONNECTED;
    default:
      return state;
  }
}

function remote() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
  var _ref2 = arguments[1];
  var type = _ref2.type,
      payload = _ref2.payload;

  switch (type) {
    case TYPES.BLUETOOTH_SYNC:
      return payload;
    default:
      return state;
  }
}