'use strict';

var _status = require('../central/status');

var STATUS = _interopRequireWildcard(_status);

var _types = require('../actions/types');

var TYPES = _interopRequireWildcard(_types);

var _initial = require('./initial');

var _initial2 = _interopRequireDefault(_initial);

var _ = require('.');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

/* global test, expect */
test('Default State', function () {
  var reducer = (0, _2.default)();

  var nextState = reducer(undefined, { type: 'UNKNOWN' });

  return expect(nextState).toBe(_initial2.default);
});

test('type: UNKNOWN', function () {
  var reducer = (0, _2.default)();

  var originalState = {};
  var nextState = reducer(originalState, { type: 'UNKNOWN' });

  return expect(nextState).toBe(originalState);
});

test('type: BLUETOOTH_CONNECTING', function () {
  var reducer = (0, _2.default)();

  var originalState = {};
  var nextState = reducer(originalState, { type: TYPES.BLUETOOTH_CONNECTING });

  return expect(nextState).toEqual({ status: STATUS.CONNECTING });
});

test('type: BLUETOOTH_CONNECTED', function () {
  var reducer = (0, _2.default)();

  var originalState = {};
  var nextState = reducer(originalState, { type: TYPES.BLUETOOTH_CONNECTED });

  return expect(nextState).toEqual({ status: STATUS.CONNECTED });
});

test('type: BLUETOOTH_SYNC', function () {
  var reducer = (0, _2.default)();

  var originalState = {};
  var nextState = reducer(originalState, { type: TYPES.BLUETOOTH_SYNC, payload: 'mockPayload' });

  return expect(nextState).toEqual({ store: 'mockPayload' });
});

test('type: BLUETOOTH_SYNC, autosync: false', function () {
  var reducer = (0, _2.default)(false);

  var originalState = {};
  var nextState = reducer(originalState, { type: TYPES.BLUETOOTH_SYNC, payload: 'mockPayload' });

  return expect(nextState).toEqual({});
});