'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; /* global window */


var _redux = require('redux');

var _middleware = require('../middleware');

var _middleware2 = _interopRequireDefault(_middleware);

var _reducers = require('../reducers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (actions) {
  var reducer = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : function () {
    return true;
  };

  var middlewares = [(0, _middleware2.default)(actions)];
  var enhancers = [_redux.applyMiddleware.apply(undefined, middlewares)];

  /* eslint-disable no-underscore-dangle */
  if ((typeof window === 'undefined' ? 'undefined' : _typeof(window)) === 'object' && window.__REDUX_DEVTOOLS_EXTENSION__) {
    enhancers.push(window.__REDUX_DEVTOOLS_EXTENSION__());
  }
  /* eslint-enable */

  return (0, _redux.createStore)((0, _redux.combineReducers)({
    status: _reducers.status,
    remote: _reducers.remote,
    local: reducer
  }), _redux.compose.apply(undefined, enhancers));
};