'use strict';

var _ = require('.');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

jest.mock('redux', function () {
  return {
    createStore: jest.fn().mockReturnValue('mockStore'),
    applyMiddleware: jest.fn(),
    compose: jest.fn()
  };
}); /* global jest, test, expect */


jest.mock('../middleware', function () {
  return jest.fn();
});
jest.mock('../reducers', function () {
  return jest.fn();
});

test('createSyncStore', function () {
  var store = (0, _2.default)(['ACTION']);
  expect(store).toBe('mockStore');
});

test('createSyncStore: debug', function () {
  /* eslint-disable no-underscore-dangle */
  global.__REDUX_DEVTOOLS_EXTENSION__ = jest.fn();

  var store = (0, _2.default)(['ACTION']);
  expect(store).toBe('mockStore');

  expect(global.__REDUX_DEVTOOLS_EXTENSION__).toHaveBeenCalled();
  /* eslint-enable */
});